# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X GET "https://$INDEX_HOST/vectors/list?namespace=example-namespace&prefix=doc1#&limit=3" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"vectors": [
{ "id": "doc1#chunk1" },
{ "id": "doc1#chunk2" },
{ "id": "doc1#chunk3" }
],
"pagination": {
"next": "c2Vjb25kY2FsbA=="
},
"namespace": "example-namespace",
"usage": {
"readUnits": 1
}
}
List vector IDs
List the IDs of vectors in a single namespace of a serverless index. An optional prefix can be passed to limit the results to IDs with a common prefix.
Returns up to 100 IDs at a time by default in sorted order (bitwise “C” collation). If the limit parameter is set, list returns up to that number of IDs instead. Whenever there are additional IDs to return, the response also includes a pagination_token that you can use to get the next batch of IDs. When the response does not include a pagination_token, there are no more IDs to return.
For guidance and examples, see List record IDs.
Note: list is supported only for serverless indexes.
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X GET "https://$INDEX_HOST/vectors/list?namespace=example-namespace&prefix=doc1#&limit=3" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"vectors": [
{ "id": "doc1#chunk1" },
{ "id": "doc1#chunk2" },
{ "id": "doc1#chunk3" }
],
"pagination": {
"next": "c2Vjb25kY2FsbA=="
},
"namespace": "example-namespace",
"usage": {
"readUnits": 1
}
}
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X GET "https://$INDEX_HOST/vectors/list?namespace=example-namespace&prefix=doc1#&limit=3" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"vectors": [
{ "id": "doc1#chunk1" },
{ "id": "doc1#chunk2" },
{ "id": "doc1#chunk3" }
],
"pagination": {
"next": "c2Vjb25kY2FsbA=="
},
"namespace": "example-namespace",
"usage": {
"readUnits": 1
}
}
Authorizations
Headers
Required date-based version header
Query Parameters
The vector IDs to fetch. Does not accept values containing spaces.
Max number of IDs to return per page.
Pagination token to continue a previous listing operation.
The namespace to list vectors from. If not provided, the default namespace is used.
Response
A successful response.
Was this page helpful?